%global momorel 2
%global md5sum_src0 d8527df764193abb16af3a2248bdd8b5

Name: ntfs-3g
Summary: another implementation of ntfs driver
Version: 1.516
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.ntfs-3g.org/
Group: System Environment/Kernel
%NoSource 0 http://www.ntfs-3g.org/%{name}-%{version}.tgz %{md5sum_src0}

BuildRequires: fuse-devel
Requires: fuse

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The NTFS-3G driver is an open source, freely available NTFS driver for Linux
with read and write support. It provides safe and fast handling of the Windows
XP, Windows Server 2003, Windows 2000 and Windows Vista file systems. Most
POSIX file system operations are supported, with the exception of full file
ownership and access right support.

%package devel
Summary: development libraries of ntfs-3g
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
development libraries of ntfs-3g

%prep
%setup -q

%build
%configure --disable-static --disable-ldconfig
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} transform='s,x,x,'

find %{buildroot} -name "*.la" -delete

# make the symlink an actual copy to avoid confusion
rm -rf %{buildroot}/sbin/mount.ntfs-3g
cp -a %{buildroot}%{_bindir}/ntfs-3g %{buildroot}/sbin/mount.ntfs-3g

# And since there is no other package in Fedora that provides an ntfs 
# mount...
cd %{buildroot}/sbin
ln -s mount.ntfs-3g mount.ntfs

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS CREDITS NEWS README ChangeLog COPYING
/sbin/mount.ntfs
/sbin/mount.ntfs-3g
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man*/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/ntfs-3g/
%{_libdir}/*.so

%changelog
* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.516-2m)
- fix duplicate files

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.516-1m)
- update to 1.516 (sync with FC-devel)

* Fri Feb 23 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-1m)
- initial commit

